Subject: [Sigtran] RE: M3UA-11: section 3.4.1 DUNA

From: "Schantz, John" <[email-masked]>
Date: Tue, 29 Jan 2002 13:20:23 -0600

Tolga,

I don't think so.  The only reason that I could think of where you might
need the RC is if the ASPs service the different RCs are somewhat
independent and may not share remote status information.  It would be
nice if the reason could be document to "justify" the MUST since it is
not needed in other cases where multiple RCs are present.

John

-----Original Message-----
From: Tolga Asveren [mailto:[email-masked]]
Sent: Monday, January 28, 2002 5:32 PM
To: sigtran
Cc: [email-masked]
Subject: Re: M3UA-11: section 3.4.1 DUNA

Hi John,

As far as I can remember, the following configuration
was also one of the reasons, why RC is needed in SSNM
(in addition to help to demultiplex SSNM on ASP side,
as stated by Brian)

     +--------------------+
     |                    |    AS1 = DPC 5.255.3
     |     ASP            |    AS2 = DPC 5.255.4
     |                    |
     +----------+---------+
                |
                |
                |
                |
                |
                |
      +---------+---------+
      |                   |    AS1 = DPC 5.255.3
      |  SG working in SEP|    AS2 = DPC 5.255.4
      |   mode            |
      |                   |
      |5.255.4       5.255.3
      +-+---+------------++
        |   |            |
        |   |            |
        |   |            |      +-------+
        |   |            +------+ SEP   |
        |   +-------+           |       |  200.1.4
        |           |           +--+----+
      +-+---+     +-+-+--+         |    |
      | STP |     |STP   +---------+    |
      |     +-----+      |              |
      +-+--++     +---+--+              |
        |  |          |                 |
        |  +----------+-----------------|
        |             |
        |             |
        |             |
  
The argument is, some configurations don't accept
messages arriving to 200.1.4 from 5.255.3, if they are
not sent via the F-link. So, if the F-link is broken,
200.1.4 is reachable for AS2 but not for AS1.

   Tolga

--- "Brian F. G. Bidulock" <[email-masked]>
wrote:
> John,
> 
> We've been over this before.  WG concensus and
> compromise to the
> RC/NA discussions was to have the "MUST" where
> multiple RCs are
> multiplexed over a common association.
> 
> A "MAY" is not acceptable because the ASP that
> relies on RC values
> to demux SSNM to AS requires it.  The "MUST" is
> there to allow
> inteoperability.
> 
> The existing text represents the concensus and
> resolution to the
> long RC/NA discussions.  I don't see any reason to
> reopen this
> issue that has been resolved for some months.
> 
> Please do not change this text.
> 
> --brian
> 
> John Schantz wrote:                                 
>         (Mon, 28 Jan 2002 15:13:16)
> > In section 3.4.1 on DUNA messages, if you read the
> text associated with the RC parameter for a DUNA:
> > 
> >    The optional Routing Context parameter contains
> the Routing Context 
> >    values associated with the DUNA message.  Where
> a Routing Key has 
> >    not been coordinated between the SGP and ASP,
> sending of Routing 
> >    Context is not required.  Where multiple
> Routing Keys and Routing 
> >    Contexts are used across a common association,
> the Routing 
> >    Context(s) MUST be sent to identify the
> concerned traffic flows 
> >    for which the DUNA message applies, assisting
> in outgoing traffic 
> >    management and internal distribution of
> MTP-PAUSE indications to 
> >    MTP3-Users at the receiver.
> > 
> > the "MUST be sent to identify the concerned
> traffic flows for which the DUNA
> > message applies" implies that a remote PC state
> could be different at an SG
> > depending on the RC.  This is not possible if the
> SG is supporting the
> > "single management view" like it is supposed to. 
> Its also not possible in
> > the "split-brained" SG arch. where SGPs have their
> own view of the world.
> > Hence, the remote PC state would be same for all
> RCs.  Therefore, the "MUST"
> > and RC are not needed.  A single DUNA without RC
> should apply to all RCs at
> > the receiver!  You can use MAY if you want the SG
> to broadcast DUNAs per RC.
> > But if this is the case, I would reword the
> sentence to say:
> > 
> >    Where multiple Routing Keys and Routing Context
> are used across a
> >    common association, a DUNA per Routing Context
> MAY be sent to assist
> >    in outgoing traffic management and internal
> distribution of MTP-
> >    PAUSE indications to MTP3-Users at the
> receiver.
> > 
> > John
> > 
> > 
> > ---
> > You are currently subscribed to sigtran as:
> [email-masked]
> > To unsubscribe send a blank email to
> [email-masked]
> 
> -- 
> Brian F. G. Bidulock
> [email-masked]
> http://www.openss7.org/
> 
> 
> ---
> You are currently subscribed to sigtran as:
> [email-masked]
> To unsubscribe send a blank email to
[email-masked]

__________________________________________________
Do You Yahoo!?
Great stuff seeking new owners in Yahoo! Auctions! 
http://auctions.yahoo.com

---
You are currently subscribed to sigtran as: [email-masked]
To unsubscribe send a blank email to
[email-masked]

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran